Get a deposit summary by ID
https://api.propexo.com/v1/deposit-summaries/:deposit_summary_idAuthentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The ID of the resource.
Query parameters
Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
created_at:descFilter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Possible values: >= 0
Can be used for paginating results
0Possible values: >= 0 and <= 250
A number between 1 and 250 to determine the number of results to return in a single query
100Response
Successful response
- Array [
- ]
meta objectrequired
The offset of the first result
Possible values: >= 0
0The number of results to return
Possible values: >= 0 and <= 250
100orderBy object[]required
The order of the results
Whether there are more results
The total number of results
Possible values: >= 0
1000results objectrequired
The Propexo unique identifier for the deposit summary
clwktsp9v000008l31iv218hnThe date record first entered Propexo
2024-03-21T15:38:08.337ZThe date record was last updated in Propexo
2024-03-22T10:59:45.119ZThe date the record was last seen from the PMS
2024-03-22T10:59:45.119ZThe external ID from the integration vendor
| Method |
|---|
| /mriapiservices/api.asp?$api=MRI_S-PMRM_SODAWithApplicantLedger |
0000008618The external ID of the property from the integration vendor
| Method |
|---|
| /mriapiservices/api.asp?$api=MRI_S-PMRM_SODAWithApplicantLedger |
100The external ID of the resident from the integration vendor
| Method |
|---|
| /mriapiservices/api.asp?$api=MRI_S-PMRM_SODAWithApplicantLedger |
0000008618The external ID of the building (not necessarily the property) from the integration vendor
| Method |
|---|
| /mriapiservices/api.asp?$api=MRI_S-PMRM_SODAWithApplicantLedger |
300The external ID of the invoice from the integration vendor
| Method |
|---|
| /mriapiservices/api.asp?$api=MRI_S-PMRM_SODAWithApplicantLedger |
cb4y7ht1h64902650881w8135e1gm62nThe external ID of the lease from the integration vendor
| Method |
|---|
| /mriapiservices/api.asp?$api=MRI_S-PMRM_SODAWithApplicantLedger |
0000008618The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
This field will always be null for MRI
nullThe external ID of the unit from the integration vendor
| Method |
|---|
| /mriapiservices/api.asp?$api=MRI_S-PMRM_SODAWithApplicantLedger |
0000008618The amount charged in cents
This field will always be null for MRI
nullThe amount paid in cents
This field will always be null for MRI
nullThe amount refunded in cents
This field will always be null for MRI
nullNotes associated with the deposit summary
This field will always be null for MRI
nullThe refund amount due in cents
Note: This field is currently in BETA and should only be used for testing.
| Method |
|---|
| /mriapiservices/api.asp?$api=MRI_S-PMRM_SODAWithApplicantLedger |
1000custom_data object | nullrequired
integration_data object | nullrequired
The Propexo unique identifier for the integration
clwh5u07w000508me66sfh3umThe property management system of record
Show 13 enum values
MRIAPPFOLIOBUILDIUMENTRATAPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTMRIThe Propexo unique identifier for the invoice
| Method |
|---|
| /mriapiservices/api.asp?$api=MRI_S-PMRM_SODAWithApplicantLedger |
cb4y7ht1h64902650881w8135e1gm62nThe Propexo unique identifier for the lease
Note: This field is currently in BETA and should only be used for testing.
| Method |
|---|
| /mriapiservices/api.asp?$api=MRI_S-PMRM_SODAWithApplicantLedger |
cm0y7ht1h64902650881w8135e1gm97mThe Propexo unique identifier for the unit
| Method |
|---|
| /mriapiservices/api.asp?$api=MRI_S-PMRM_SODAWithApplicantLedger |
cm0y7ht1h64902650881w8135e1gmc12uThe Propexo unique identifier for the resident
Note: This field is currently in BETA and should only be used for testing.
| Method |
|---|
| /mriapiservices/api.asp?$api=MRI_S-PMRM_SODAWithApplicantLedger |
cm0y7ht1h64902650331vw7uaq1fhs24iThe Propexo unique identifier for the property
clwi5xiix000008l6ctdgafyhErrors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl https://api.propexo.com/v1/deposit-summaries/:deposit_summary_id \
-H "Authorization: Bearer <token>"
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": {
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "0000008618",
"x_property_id": "100",
"x_resident_id": "0000008618",
"x_building_id": "300",
"x_invoice_id": "cb4y7ht1h64902650881w8135e1gm62n",
"x_lease_id": "0000008618",
"x_location_id": null,
"x_unit_id": "0000008618",
"amount_charged_in_cents": null,
"amount_paid_in_cents": null,
"amount_refunded_in_cents": null,
"notes": null,
"refund_amount_due_in_cents": 1000,
"custom_data": "Unknown Type: object,null",
"integration_data": "Unknown Type: object,null",
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "MRI",
"invoice_id": "cb4y7ht1h64902650881w8135e1gm62n",
"lease_id": "cm0y7ht1h64902650881w8135e1gm97m",
"unit_id": "cm0y7ht1h64902650881w8135e1gmc12u",
"resident_id": "cm0y7ht1h64902650331vw7uaq1fhs24i",
"property_id": "clwi5xiix000008l6ctdgafyh"
}
}